# Connect Fabric Cloud Router To Network Edge Device Establish a direct layer 2 connection between your Fabric Cloud Router and your Network Edge Device. ![](https://docs.equinix.com/assets/images/fcr-to-ne-device-235211a1f3730f4fbd47972db6657bf6.jpg) ## Get Your Fabric Cloud Router If you already have a Fabric Cloud Router, find it by sending a `GET` request to the [`/fabric/v4/routers/{routerId}`](https://docs.equinix.com/api-catalog/fabricv4.md#operation/getCloudRouterByUuid) endpoint or search for one using the [`/fabric/v4/routers/search`](https://docs.equinix.com/api-catalog/fabricv4.md#operation/searchCloudRouters) endpoint. If you do not have a Fabric Cloud Router, you can [create one](https://docs.equinix.com/fabric-cloud-router/fcr-create.md). ## Determine Z-side NE device information You need a provisioned Equinix Virtual Device, a set of Redundant Devices or a Cluster with a registered license on the Z-side. Check your available Virtual Devices by sending a `GET` request to the [`/ne/v1/devices`](https://docs.equinix.com/api-catalog/network-edgev1.md#operation/getVirtualDevices) endpoint or check a specific device by sending a `GET` request to the [`/ne/v1/devices/{uuid}`](https://docs.equinix.com/api-catalog/network-edgev1.md#operation/getVirtualDeviceByUuid) endpoint. Use the device information from the responses in the `zSide` object when you create the connection. When creating the connection, you can choose any available interface of your device, or you can let the interface be automatically assigned. ## Create Connection To create a connection, send a `POST` request to the [`/fabric/v4/connections`](https://docs.equinix.com/api-catalog/fabricv4.md#operation/createConnection) endpoint. Specify your Fabric Cloud Router in the `aSide` : `accessPoint` object. Specify your Network Edge Virtual Device(s) in the `zSide` : `accessPoint` object. | | **POST /fabric/v4/connections** | | ---------------- | ------------------------------------------------------------------------------------------------ | | Method | `POST` | | Endpoint | `/fabric/v4/connections` | | Headers | `Authorization`, `Content-Type` | | Path Parameters | Not applicable | | Query Parameters | Not applicable | | Body Parameters | `type`, `name`, `order`, `bandwidth`, `project`, `redundancy`, `aSide`, `zSide`, `notifications` | Sample curl request - create a PRIMARY connection from your FCR to your NE device: ``` curl -X POST 'https://api.equinix.com/fabric/v4/connections' -H 'content-type: application/json' -H 'authorization: Bearer ' -d ' {     "type": "IP_VC",     "bandwidth": 200,     "project": {         "projectId": "188572000188973"     },     "aSide": {         "accessPoint": {             "type": "CLOUD_ROUTER",             "router": {                 "uuid": "13fa98e8-8497-44d9-a45c-ce00d89b0a56"             }         }     },     "zSide": {         "accessPoint": {             "type": "VD",             "virtualDevice": {                 "uuid": "f6b1f188-3af4-47d0-a46e-ef175973c233"             }         }     },     "name": "test-fcr-to-ne-device",     "order": {         "purchaseOrderNumber": ""     },     "notifications": [         {             "type": "ALL",             "emails": [                 "x@equinix.com"             ]         }     ] } ' ``` A full list of the available parameters is available in the [API Reference](https://docs.equinix.com/api-catalog/fabricv4.md#operation/createConnection). Send a `GET` request to the [`/fabric/v4/connections/{connectionId}`](https://docs.equinix.com/api-catalog/fabricv4.md#tag/Connections/operation/getConnectionByUuid) endpoint to monitor connection status. | `equinixStatus` attribute values | `providerStatus` attribute values | **Description** | | --------------------------------- | --------------------------------- | ---------------------------------------- | | `PENDING_INTERFACE_CONFIGURATION` | `NOT_AVAILABLE` | You need to configure the connection. | | `PROVISIONED` | `AVAILABLE` | Connection is provisioned and available. | ## Configuring the Connection Once you create and validate the connection, configure it using the [Routing Protocol](https://docs.equinix.com/api-catalog/fabricv4.md#tag/Routing-Protocols) API endpoints to create and add routing protocol definition to the connection. You must add at least the Direct routing protocol details to the connection for it to be fully provisioned. BGP routing protocols allow you to connect to the servers connected to the VLAN.